Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2020-02308, UID# 2916
App. Status: Expired

Valid: 10/19/2020 - 10/22/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2622 (10/16/2020)

Charge Cost Quantity Total
Non-Taxable
added 10/16/2020 10:55 AM

Compliant 145,001 - 150,000 lbs

$120.00 x 1 $120.00
added 10/16/2020 10:55 AM

Fee for over length permit

$30.00 x 1 $30.00
added 10/16/2020 10:44 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 10/16/2020 10:55 AM

Fee for over width permit

$30.00 x 1 $30.00
Grand Total
Total $210.00
Payment 10/16/2020$210.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantBrent C. Cantleberry - 10/16/2020 10:44 AM
d36c6802665a12be9b86bfa95751c76a
eb776b45490af6ea5d10d30580f4d529
 
#1 Permit Issuing OfficialElroy Opp - 10/16/2020 10:56 AM
9a8ea26e56a5e993c8ca565d3535069c
5674ccd48ce03f554574a380b30a1dc0
 
Permit has been approved. All signatures have been obtained.